Sidebar e navigazione tra i plugin
11/23/2016 03:58 PM - Mark Caglienzi

Status: Chiuso Start date: 11/23/2016
Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Aggiungere una sidebar per la navigazione tra i plugin.

Alcuni esempi da cui trarre spunto:

e http://bootsnipp.com/snippets/featured/admin-side-menu
e https://github.com/BlackrockDigital/startbootstrap-simple-sidebar

Associated revisions

Revision 13768c99 - 11/24/2016 12:51 PM - Mark Caglienzi
Regroup apps. refs: #82

Revision 81314672 - 11/24/2016 12:53 PM - Mark Caglienzi

Use standard arrow also for font-awesome icons. refs: #82

Revision 84dea7ff - 11/24/2016 04:17 PM - Mark Caglienzi

Make a sidebar instead of a navbar. Code taken here http://bootsnipp.com/snippets/featured/side-menu-on-hover. refs: #82

Revision d81b267c¢ - 11/24/2016 04:19 PM - Mark Caglienzi

Remove the user glyphicon. refs: #82

Revision 44456272 - 11/24/2016 04:22 PM - Mark Caglienzi

Remove from home.html the informations that are in the sidebar. refs: #82

Revision 8750aefe - 11/24/2016 04:26 PM - Mark Caglienzi

Merge branch 'master’ into t82. refs: #82

Revision 7eac6c1f - 11/25/2016 10:12 AM - Mark Caglienzi

Merge branch 'master’ into t82. refs: #82

Revision 1b75a6a2 - 11/25/2016 12:50 PM - Mark Caglienzi

This seems to fix the sidebar. refs: #82

Revision d8eb06db - 11/25/2016 12:51 PM - Mark Caglienzi
Add logout link. refs: #82

Revision 2afc316a - 11/25/2016 12:55 PM - Mark Caglienzi

Hide navbar (so sidebar) if the user is not authenticated. refs: #82

Revision 7deec5e3 - 11/25/2016 03:23 PM - Mark Caglienzi

Override to flatly value to avoid unneeded horizontal scrollbar. refs: #82
Revision 84924ea6 - 11/25/2016 04:02 PM - Mark Caglienzi

Now the template seems to be fixed. Also for mobile. refs: #82

Revision d0c43725 - 11/25/2016 04:11 PM - Mark Caglienzi

Maybe 100px was too much, creating a vertical scrollbar when it's really unneeded. refs: #82

Revision 6913af00 - 11/25/2016 04:25 PM - Mark Caglienzi

Merge branch 'master’ into t82. refs: #82

Revision cd0f06ed - 11/25/2016 04:33 PM - Mark Caglienzi

Use app.verbose_name which is translated. refs: #82

Revision 2fbf38cc - 11/25/2016 04:34 PM - Mark Caglienzi

s/200/220/g to make the sidebar slightly larger, to better accomodate app.verbose_name strings. refs: #82

Revision ¢7596¢16 - 11/25/2016 04:34 PM - Mark Caglienzi
Cleanup. refs: #82

Revision 8001a2b8 - 11/25/2016 05:00 PM - Mark Caglienzi

Add support (via js because there's a click needed) to hghlight the active app in the sidebar. refs: #82

History

#1 - 11/25/2016 01:01 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

2afc316a:

e Alla fine ho usato guesto il cui codice sembra piu breve, pulito, ed & taggato per bootstrap 3.3 anziché 3.2
¢ Ho avuto parecchi problemi a far andare il content nella parte destra della pagina, ma sembra essere ok

Pushato nel branch senza merge per ora.

#2 - 11/25/2016 02:34 PM - Mark Caglienzi
- Status changed from Commenti to In elaborazione

- Assignee changed from Christopher R. Gabriel to Mark Caglienzi

#3 - 11/25/2016 05:06 PM - Mark Caglienzi
- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

b1d06a8d:

e Template finalmente che pare fixato (anche su mobile)

Rimossa la barra di scorrimento orizzontale

Uso di {{app.verbose_name}} nella sidebar, che & una stringa traducibile

Allargata (da 200 a 220 pixel) la sidebar per fare un po' piu di spazio ai nomi delle app

App attuale evidenziata (via javascript, perché serve anche un click sul gruppo dell'app) con l'uso di {{request.current_app}}

Mergiato in master e pushato.
Rimane solo un particolare che € un po' "cosi cosi" e che & noto (ma che non so come risolvere attualmente):

¢ L'app evidenziata su dispositivo mobile funziona "circa", nel senso che bisogna aprire il menu facendo touch sull'icona in alto a destra, e il menu
si carica con i sottomenu chiusi (in questo momento parlo del sottomenu "Network"). Perd poi aprendo il sottomenu, I'app & correttamente
evidenziata. Praticamente manca il click triggerato via javascript su desktop, che su mobile non va perché in quel momento la sidebar &

nascosta.

#4 - 12/20/2016 01:34 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Chiudo, abbiamo riapprocciato la cosa con la navbar orizzontale.
